# Generated by Django 3.0.3 on 2020-07-12 15:25

from django.db import migrations, models

from main.models import Anexo


def redo_thumbs(apps, schema_editor):
    # We can't import the Person model directly as it may be a newer
    # version than this migration expects. We use the historical version.
    # Anexo = apps.get_model('main', 'Anexo')
    for anexo in Anexo.objects.all():
        anexo.save(redo_thumb=True)
        if anexo.thumb.name:
            print("new thumb: " + anexo.thumb.name)


class Migration(migrations.Migration):
    dependencies = [
        ('main', '0025_mensagem'),
    ]

    operations = [
        migrations.AddField(
            model_name='anexo',
            name='thumb',
            field=models.ImageField(blank=True, null=True, upload_to='anexos/thumbs/%Y/%m/%d/'),
        ),
        migrations.RunPython(redo_thumbs),
    ]
